"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SecretsManager = void 0;
const aws_sdk_1 = require("aws-sdk");
class SecretsManager {
    async getSecret(secretName) {
        const awsRegion = process.env.AWS_REGION;
        const secretsmanager = new aws_sdk_1.SecretsManager({ region: awsRegion });
        const { SecretString, SecretBinary } = await secretsmanager.getSecretValue({ SecretId: secretName }).promise();
        const credentials = SecretString || Buffer.from(SecretBinary, 'base64').toString('ascii');
        return JSON.parse(credentials);
    }
}
exports.SecretsManager = SecretsManager;
